Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.ErrorContinuation

    java.lang.Object
      rice.Continuation.ErrorContinuation

All Implemented Interfaces:
  Continuation

Enclosing interface:
  Continuation

    public abstract static class Continuation.ErrorContinuation

extends java.lang.Object
implements Continuation

This class is a Continuation provided for simplicity which passes any results up to the parent Continuation which it is constructed with. Subclasses should implement the receiveException() method with the appropriate behavior.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ExternalContinuationRunnable, Continuation.ExternalRunnable, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected Continuation` | `parent` The parent continuation

Constructor Summary
`Continuation.ErrorContinuation(Continuation continuation)` Constructor which takes in the parent continuation for this continuation.

Method Summary
`void` | `receiveResult(java.lang.Object result)` Called when an the result is availble.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.Continuation
`receiveException`

Field Detail

### parent

    protected Continuation parent

  The parent continuation

Constructor Detail

### Continuation.ErrorContinuation

    public Continuation.ErrorContinuation(Continuation continuation)

  Constructor which takes in the parent continuation for this continuation.

  Parameters:
    `continuation` - The parent of this continuation

Method Detail

### receiveResult

    public void receiveResult(java.lang.Object result)

  Called when an the result is availble. Simply passes the result to the parent;

  Specified by:
    `receiveResult` in interface `Continuation`
  Parameters:
    `result` - The result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.